function configLoadEventsDisable(%file,%in)
{
	%read = new FileObject();
	if(!isFile("config/server/DisableEvents/" @ %file @ (%in ? "_Input" : "_Output") @ ".txt"))
	{
		%read.openForRead("Add-Ons/Script_DisableEvents/" @ %file @ (%in ? "_Input" : "_Output") @ ".txt");
		
		%write = new FileObject();
		%write.openForWrite("config/server/DisableEvents/" @ %file @ (%in ? "_Input" : "_Output") @ ".txt");
		
		while(!%read.isEOF())
		{
			%line = %read.readLine();
			%write.writeLine(%line);
		}
		
		%read.close();
		
		%write.close();
		%write.delete();
	}
	
	%read.openForRead("config/server/DisableEvents/" @ %file @ (%in ? "_Input" : "_Output") @ ".txt");
	
	while(!%read.isEOF())
	{
		%line = %read.readLine();
		if(%line !$= "")
		{
			if(%in)
				unRegisterInputEvent(%file,%line);
			else
				unRegisterOutputEvent(%file,%line);
		}
	}
	
	%read.close();
	%read.delete();
}

function configLoadAllEventsDisable()
{
	configLoadEventsDisable(fxDTSBrick,1);
	
	configLoadEventsDisable(fxDTSBrick,0);
	configLoadEventsDisable(GameConnection,0);
	configLoadEventsDisable(Player,0);
	configLoadEventsDisable(Minigame,0);
}
schedule(1000,0,configLoadAllEventsDisable);